org.apache.maven.artifact.versioning

## Class OverConstrainedVersionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.maven.artifact.resolver.AbstractArtifactResolutionException
      - - org.apache.maven.artifact.resolver.ArtifactResolutionException
        - - org.apache.maven.artifact.versioning.OverConstrainedVersionException

All Implemented Interfaces:
  java.io.Serializable

    public class OverConstrainedVersionException
    extends ArtifactResolutionException

Occurs when ranges exclude each other and no valid value remains.

Version:
  $Id: OverConstrainedVersionException.java 640549 2008-03-24 20:05:11Z bentmann $
Author:
  Brett Porter
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`OverConstrainedVersionException(java.lang.String msg, Artifact artifact)`
`OverConstrainedVersionException(java.lang.String msg, Artifact artifact, java.util.List remoteRepositories)`

### Method Summary

### Methods inherited from class org.apache.maven.artifact.resolver.AbstractArtifactResolutionException

`constructArtifactPath, constructMissingArtifactMessage, getArtifact, getArtifactId, getArtifactPath, getClassifier, getGroupId, getOriginalMessage, getPath, getRemoteRepositories, getType, getVersion`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OverConstrainedVersionException

    public OverConstrainedVersionException(java.lang.String msg,
                                   Artifact artifact)

#### OverConstrainedVersionException

    public OverConstrainedVersionException(java.lang.String msg,
                                   Artifact artifact,
                                   java.util.List remoteRepositories)